Bug 63033 - Stale file handles on unplanned NFS failover
Stale file handles on unplanned NFS failover
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: clumanager (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
:
Depends On: 63162 70115 70132
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-09 11:13 EDT by Tim Burke
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-13 14:40:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tim Burke 2002-04-09 11:13:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i686)

Description of problem:
clumanager-1.0.9

During the recent cluster training, we setup an NFS service.  Then client mounts
were setup to run scripts which were tar-ing on/off this nfs mount.

Performing service relocations seemed to work fine.  However if we power cycled
the cluster member serving the cluster service, in about 1/3 of the cases the
client would encounter stale file handles.  When this happened the only remedy
from the client's perspective was to manually remount.



Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.Setup nfs service
2.mount on client, initiate exercisers on client (e.g. tar)
3.power off active nfs server cluster member
	

Actual Results:  About 1/3 of the time nfs stale file handles occurred.

Expected Results:  Transparent failover.

Additional info:
Comment 1 Lon Hohberger 2002-05-13 13:26:11 EDT
Fix in pool.  Awaiting testing from different developers before closing.

Note You need to log in before you can comment on or make changes to this bug.